/* ToneMatrix - draw.c
 * Copyright (c) 2011 Tanner Babcock */
#include <oslib/oslib.h>
#include "main.h"

// GOLD
void tmDrawgrid(void) {
	int x, y;
	char tmp[20];
	oslDrawFillRect(0, 15, 480, 255, RGBA(0, 0, 0, 255));
	for (x = 1; x < 17; x++) {
		for (y = 1; y < 9; y++) {
			if (grid[x-1][y-1] == OFF)
				oslDrawFillRect(x1form, y1form, x2form, y2form, (x == col) ? HOFF : OFFC);
			else if (grid[x-1][y-1] == ON)
				oslDrawFillRect(x1form, y1form, x2form, y2form, (x == col) ? HON : ONC);
			else if (grid[x-1][y-1] == CURSOFF) {
				oslDrawFillRect(x1form, y1form, x2form, y2form, (x == col) ? HOFF : OFFC);
				oslDrawImageXY(select, x1form, y1form);
			}
			else if (grid[x-1][y-1] == CURSON) {
				oslDrawFillRect(x1form, y1form, x2form, y2form, (x == col) ? HON : ONC);
				oslDrawImageXY(select, x1form, y1form);
			}
		}
	}
	return;
}
