/* ToneMatrix - sound.c
 * Copyright (c) 2011 Tanner Babcock */
#include <oslib/oslib.h>
#include <pspkernel.h>
#include <pspthreadman.h>
#include "main.h"

void *tmSoundloop(void *arg) {
	int x, y;
	bpm = tmBPM(tempo);
	tempo = tmTempo(bpm);
	while (!quit) {
		for (x = 0; x < 16; x++) {
			col = (x+1);
			for (y = 0; y < 8; y++) {
				if (grid[x][y] == ON || grid[x][y] == CURSON)
					oslPlaySound(sound[y], y);
			}
			sceKernelDelayThread(tmTempo(bpm));
		}
	}
	sceKernelExitDeleteThread(NULL);
	return;
}
